resource "nomad_job" "authelia" {
  jobspec = file("${path.module}/authelia.nomad.hcl")
}

resource "postgresql_role" "authelia" {
  name     = "authelia"
  password = data.sops_file.secrets.data["authelia.database_pw"]
  login    = true
}

resource "postgresql_database" "authelia" {
  name  = "authelia"
  owner = postgresql_role.authelia.name
}

resource "nomad_variable" "authelia" {
  path = "nomad/jobs/authelia"
  items = {
    session_secret = data.sops_file.secrets.data["authelia.session_secret"]
    jwt_secret     = data.sops_file.secrets.data["authelia.jwt_secret"]
    encryption_key = data.sops_file.secrets.data["authelia.encryption_key"]
    database_pw    = data.sops_file.secrets.data["authelia.database_pw"]
  }
}
